> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get broadcast progress

> Get real-time progress of a broadcast including delivery counts and estimated completion time.



## OpenAPI

````yaml /openapi.json get /v1/broadcasts/{broadcastId}/progress
openapi: 3.0.3
info:
  title: Zavu Unified Messaging Layer API
  version: 0.2.0
  description: >
    Unified multi-channel messaging API for Zavu.


    Supported channels:

    - **SMS**: Simple text messages

    - **WhatsApp**: Rich messaging with media, buttons, lists, CTA URL buttons,
    and templates

    - **Telegram**: Bot messaging with text, media, and interactive elements

    - **Email**: Transactional emails via Amazon SES


    Design goals:

    - Simple `send()` entrypoint for developers

    - Project-level authentication via Bearer token

    - Support for all WhatsApp message types (text, image, video, audio,
    document, sticker, location, contact, buttons, list, cta_url, reaction,
    template)

    - If a non-text message type is sent, WhatsApp channel is used automatically

    - 24-hour WhatsApp conversation window enforcement

    - Universal `to` field accepts phone numbers (E.164), email addresses, or
    numeric chat IDs (Telegram/Instagram)
servers:
  - url: https://api.zavu.dev
security:
  - bearerAuth: []
paths:
  /v1/broadcasts/{broadcastId}/progress:
    get:
      summary: Get broadcast progress
      description: >-
        Get real-time progress of a broadcast including delivery counts and
        estimated completion time.
      operationId: getBroadcastProgress
      parameters:
        - $ref: '#/components/parameters/BroadcastIdParam'
      responses:
        '200':
          description: Broadcast progress.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BroadcastProgress'
              example:
                broadcastId: brd_abc123
                status: sending
                total: 5000
                pending: 2500
                sending: 100
                delivered: 2350
                failed: 50
                skipped: 0
                percentComplete: 48
                estimatedCost: 75
                reservedAmount: 75
                actualCost: 35.25
                startedAt: '2024-01-15T10:30:00.000Z'
                estimatedCompletionAt: '2024-01-15T10:45:00.000Z'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Broadcast not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  parameters:
    BroadcastIdParam:
      name: broadcastId
      in: path
      required: true
      schema:
        type: string
  schemas:
    BroadcastProgress:
      type: object
      required:
        - broadcastId
        - status
        - total
        - pending
        - sending
        - delivered
        - failed
        - skipped
        - percentComplete
      properties:
        broadcastId:
          type: string
        status:
          $ref: '#/components/schemas/BroadcastStatus'
        total:
          type: integer
          description: Total contacts in broadcast.
        pending:
          type: integer
          description: Not yet queued for sending.
        sending:
          type: integer
          description: Currently being sent.
        delivered:
          type: integer
          description: Successfully delivered.
        failed:
          type: integer
          description: Failed to deliver.
        skipped:
          type: integer
          description: Skipped (broadcast cancelled).
        percentComplete:
          type: number
          description: Percentage complete (0-100).
        estimatedCost:
          type: number
          nullable: true
          description: Estimated total cost in USD.
        reservedAmount:
          type: number
          nullable: true
          description: Amount reserved from balance in USD.
        actualCost:
          type: number
          nullable: true
          description: Actual cost so far in USD.
        startedAt:
          type: string
          format: date-time
        estimatedCompletionAt:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          example: invalid_request
        message:
          type: string
          example: Phone number is invalid
        details:
          type: object
          additionalProperties: true
    BroadcastStatus:
      type: string
      description: Current status of the broadcast.
      enum:
        - draft
        - pending_review
        - approved
        - rejected
        - escalated
        - rejected_final
        - scheduled
        - sending
        - paused
        - completed
        - cancelled
        - failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````